Skip to main content
POST
/
v2
/
Account
/
AuditLog
Get Audit Log
curl --request POST \
  --url https://api.nlpearl.ai/v2/Account/AuditLog \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "2023-11-07T05:31:56Z",
  "to": "2023-11-07T05:31:56Z",
  "eventType": 123,
  "userId": "<string>"
}
'
[
  {
    "timestamp": "2023-11-07T05:31:56Z",
    "eventType": 123,
    "user": {
      "id": "<string>",
      "name": "<string>",
      "type": 123
    },
    "additionalData": {}
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Specify the authorization token.

For more information, check out the Authorization Guide.

Body

from
string<date-time>

The start date and time of the audit log query range (UTC).

to
string<date-time>

The end date and time of the audit log query range (UTC).

eventType
integer<int32>

The type of event recorded in the audit log.

1 - LoginAttempt

2 - LoginSuccessful

10 - PublishPearl

11 - PearlStatus

18 - TransferPearl

19 - DeletePearl

30 - CreateAPIKey

31 - DeleteAPIKey

40 - PurchaseAgents

41 - DeleteAgent

50 - SetBillingDetails

51 - SetPaymentMethod

52 - SetSubscription

59 - CancelSubscription

60 - PurchaseCredits

61 - SetAutoRecharge

70 - InviteUser

71 - UserJoin

72 - InvitationCanceled

73 - UpdateUserRole

74 - UpdateAccountInformations

75 - RemoveUserFromTheAccount

76 - UserLeftAccount

80 - UpdateSessionTTL

81 - Set2FA

userId
string | null

Optional filter by user ID. If not provided, logs for all users are returned.

Response

The list of audit log.

timestamp
string<date-time>
eventType
integer<int32>

The type of event recorded in the audit log.

1 - LoginAttempt

2 - LoginSuccessful

10 - PublishPearl

11 - PearlStatus

18 - TransferPearl

19 - DeletePearl

30 - CreateAPIKey

31 - DeleteAPIKey

40 - PurchaseAgents

41 - DeleteAgent

50 - SetBillingDetails

51 - SetPaymentMethod

52 - SetSubscription

59 - CancelSubscription

60 - PurchaseCredits

61 - SetAutoRecharge

70 - InviteUser

71 - UserJoin

72 - InvitationCanceled

73 - UpdateUserRole

74 - UpdateAccountInformations

75 - RemoveUserFromTheAccount

76 - UserLeftAccount

80 - UpdateSessionTTL

81 - Set2FA

user
object
additionalData
object